Bug 175438 - [PATCH] net/hostapd: Update to 2.0
Summary: [PATCH] net/hostapd: Update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 20:00 UTC by Craig Leres
Modified: 2013-02-02 11:50 UTC (History)
1 user (show)

See Also:


Attachments
patch.txt (6.13 KB, text/plain)
2013-01-19 20:00 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2013-01-19 20:00:00 UTC
	Update to 2.0.

Fix: Please see attached patch.
Comment 1 dfilter freebsd_committer 2013-02-02 11:44:49 UTC
Author: pawel
Date: Sat Feb  2 11:44:41 2013
New Revision: 311422
URL: http://svnweb.freebsd.org/changeset/ports/311422

Log:
  Update to version 2.0
  
  PR:		ports/175438
  Submitted by:	Craig Leres <leres@ee.lbl.gov> (maintainer)

Modified:
  head/net/hostapd/Makefile
  head/net/hostapd/distinfo
  head/net/hostapd/files/config

Modified: head/net/hostapd/Makefile
==============================================================================
--- head/net/hostapd/Makefile	Sat Feb  2 10:43:13 2013	(r311421)
+++ head/net/hostapd/Makefile	Sat Feb  2 11:44:41 2013	(r311422)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	hostapd
-# Date created:		05 February 2011
-# Whom:			leres@ee.lbl.gov
-#
+# Created by: Craig Leres <leres@ee.lbl.gov>
 # $FreeBSD$
-#
 
 PORTNAME=	hostapd
-PORTVERSION=	1.0
+PORTVERSION=	2.0
 CATEGORIES=	net
 MASTER_SITES=	http://hostap.epitest.fi/releases/
 

Modified: head/net/hostapd/distinfo
==============================================================================
--- head/net/hostapd/distinfo	Sat Feb  2 10:43:13 2013	(r311421)
+++ head/net/hostapd/distinfo	Sat Feb  2 11:44:41 2013	(r311422)
@@ -1,2 +1,2 @@
-SHA256 (hostapd-1.0.tar.gz) = 002e9dcb7e46cf82b5900a2fcf92b30fc8cdfd32a72d7fd4488588f1c013dfcc
-SIZE (hostapd-1.0.tar.gz) = 1327943
+SHA256 (hostapd-2.0.tar.gz) = 262ce394b930bccc3d65fb99ee380f28d36444978f524c845a98e8e29f4e9d35
+SIZE (hostapd-2.0.tar.gz) = 1376203

Modified: head/net/hostapd/files/config
==============================================================================
--- head/net/hostapd/files/config	Sat Feb  2 10:43:13 2013	(r311421)
+++ head/net/hostapd/files/config	Sat Feb  2 11:44:41 2013	(r311422)
@@ -90,6 +90,9 @@ CONFIG_EAP_TTLS=y
 # EAP-PSK for the integrated EAP server (this is _not_ needed for WPA-PSK)
 #CONFIG_EAP_PSK=y
 
+# EAP-pwd for the integrated EAP server (secure authentication with a password)
+#CONFIG_EAP_PWD=y
+
 # EAP-SAKE for the integrated EAP server
 #CONFIG_EAP_SAKE=y
 
@@ -107,8 +110,12 @@ CONFIG_EAP_TTLS=y
 
 # Wi-Fi Protected Setup (WPS)
 #CONFIG_WPS=y
+# Enable WSC 2.0 support
+#CONFIG_WPS2=y
 # Enable UPnP support for external WPS Registrars
 #CONFIG_WPS_UPNP=y
+# Enable WPS support with NFC config method
+#CONFIG_WPS_NFC=y
 
 # EAP-IKEv2
 #CONFIG_EAP_IKEV2=y
@@ -137,11 +144,22 @@ CONFIG_DRIVER_RADIUS_ACL=y
 # IEEE 802.11n (High Throughput) support
 #CONFIG_IEEE80211N=y
 
+# Wireless Network Management (IEEE Std 802.11v-2011)
+# Note: This is experimental and not complete implementation.
+#CONFIG_WNM=y
+
+# IEEE 802.11ac (Very High Throughput) support
+#CONFIG_IEEE80211AC=y
+
 # Remove debugging code that is printing out debug messages to stdout.
 # This can be used to reduce the size of the hostapd considerably if debugging
 # code is not needed.
 #CONFIG_NO_STDOUT_DEBUG=y
 
+# Add support for writing debug log to a file: -f /tmp/hostapd.log
+# Disabled by default.
+#CONFIG_DEBUG_FILE=y
+
 # Remove support for RADIUS accounting
 #CONFIG_NO_ACCOUNTING=y
 
@@ -151,6 +169,14 @@ CONFIG_DRIVER_RADIUS_ACL=y
 # Remove support for VLANs
 #CONFIG_NO_VLAN=y
 
+# Enable support for fully dynamic VLANs. This enables hostapd to
+# automatically create bridge and VLAN interfaces if necessary.
+#CONFIG_FULL_DYNAMIC_VLAN=y
+
+# Use netlink-based kernel API for VLAN operations instead of ioctl()
+# Note: This requires libnl 3.1 or newer.
+#CONFIG_VLAN_NETLINK=y
+
 # Remove support for dumping state into a file on SIGUSR1 signal
 # This can be used to reduce binary size at the cost of disabling a debugging
 # option.
@@ -173,3 +199,77 @@ CONFIG_DRIVER_RADIUS_ACL=y
 #LIBS += -lbfd -liberty -lz
 #LIBS_p += -lbfd -liberty -lz
 #LIBS_c += -lbfd -liberty -lz
+
+# hostapd depends on strong random number generation being available from the
+# operating system. os_get_random() function is used to fetch random data when
+# needed, e.g., for key generation. On Linux and BSD systems, this works by
+# reading /dev/urandom. It should be noted that the OS entropy pool needs to be
+# properly initialized before hostapd is started. This is important especially
+# on embedded devices that do not have a hardware random number generator and
+# may by default start up with minimal entropy available for random number
+# generation.
+#
+# As a safety net, hostapd is by default trying to internally collect
+# additional entropy for generating random data to mix in with the data
+# fetched from the OS. This by itself is not considered to be very strong, but
+# it may help in cases where the system pool is not initialized properly.
+# However, it is very strongly recommended that the system pool is initialized
+# with enough entropy either by using hardware assisted random number
+# generator or by storing state over device reboots.
+#
+# hostapd can be configured to maintain its own entropy store over restarts to
+# enhance random number generation. This is not perfect, but it is much more
+# secure than using the same sequence of random numbers after every reboot.
+# This can be enabled with -e<entropy file> command line option. The specified
+# file needs to be readable and writable by hostapd.
+#
+# If the os_get_random() is known to provide strong random data (e.g., on
+# Linux/BSD, the board in question is known to have reliable source of random
+# data from /dev/urandom), the internal hostapd random pool can be disabled.
+# This will save some in binary size and CPU use. However, this should only be
+# considered for builds that are known to be used on devices that meet the
+# requirements described above.
+#CONFIG_NO_RANDOM_POOL=y
+
+# Select TLS implementation
+# openssl = OpenSSL (default)
+# gnutls = GnuTLS
+# internal = Internal TLSv1 implementation (experimental)
+# none = Empty template
+#CONFIG_TLS=openssl
+
+# TLS-based EAP methods require at least TLS v1.0. Newer version of TLS (v1.1)
+# can be enabled to get a stronger construction of messages when block ciphers
+# are used.
+#CONFIG_TLSV11=y
+
+# TLS-based EAP methods require at least TLS v1.0. Newer version of TLS (v1.2)
+# can be enabled to enable use of stronger crypto algorithms.
+#CONFIG_TLSV12=y
+
+# If CONFIG_TLS=internal is used, additional library and include paths are
+# needed for LibTomMath. Alternatively, an integrated, minimal version of
+# LibTomMath can be used. See beginning of libtommath.c for details on benefits
+# and drawbacks of this option.
+#CONFIG_INTERNAL_LIBTOMMATH=y
+#ifndef CONFIG_INTERNAL_LIBTOMMATH
+#LTM_PATH=/usr/src/libtommath-0.39
+#CFLAGS += -I$(LTM_PATH)
+#LIBS += -L$(LTM_PATH)
+#LIBS_p += -L$(LTM_PATH)
+#endif
+# At the cost of about 4 kB of additional binary size, the internal LibTomMath
+# can be configured to include faster routines for exptmod, sqr, and div to
+# speed up DH and RSA calculation considerably
+#CONFIG_INTERNAL_LIBTOMMATH_FAST=y
+
+# Interworking (IEEE 802.11u)
+# This can be used to enable functionality to improve interworking with
+# external networks.
+#CONFIG_INTERWORKING=y
+
+# Hotspot 2.0
+#CONFIG_HS20=y
+
+# Enable SQLite database support in hlr_auc_gw, EAP-SIM DB, and eap_user_file
+#CONFIG_SQLITE=y
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Pawel Pekala freebsd_committer 2013-02-02 11:45:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!